pipeline {
    agent any
    stages {
        stage('拉取代码') {
            steps {
                checkout([$class: 'GitSCM', branches: [[name: '*/master']], extensions: [], userRemoteConfigs: [[url: 'https://gitcode.net/138g-z-shi/flask.git']]])
            }
        }
        stage('构建docker镜像') {
            steps {
                echo 'Hello'
            }
        }
        stage('push docker镜像') {
            steps {
                echo 'Hello'
            }
        }
        stage('运行应用') {
            steps {
                echo 'Hello'
            }
        }
    } 
}
